{% extends "base.html" %}
{% load datetime %}

{% block page_name %}{{ summit.title }} {{ summit.date_start|strftime:"%d %b" }} - {{ summit.date_end|strftime:"%d %b %Y" }} {%endblock %}

{% block extrahead %}{{ block.super }}{% endblock %}

    {% block extrameta %}
    <meta itemprop="name" content="{{ summit.title }} {{ summit.date_start|strftime:"%d" }} - {{ summit.date_end|strftime:"%d, %b. %Y" }}" />
    <meta itemprop="description" content="{{ summit.description|linebreaks|striptags }}" />{% endblock %}

{% block sub_nav_links %}
<li><a class="sub-nav-item" href="/{{ summit.name }}/tracks" title="{{ TRACK_DISPLAY_NAME_PLURAL }}">{{ TRACK_DISPLAY_NAME_PLURAL }}</a></li>
    <li><a class="sub-nav-item" href="/{{ summit.name }}.ical">All sessions (iCal)</a></li>
    <li><a class="sub-nav-item" href="/{{ summit.name }}.xml">All sessions (XML)</a></li>
    <li><a class="sub-nav-item" href="{% url summit.schedule.views.past %}">Past summits</a></li>
{% endblock %}

{% block content %}

<div class="row">
    <section class="span-8">
        <h1>{{ summit.title }}</h1>
            {% include "schedule/summit_info.html" %}
    </section>
    <article class="span-4 last">
        {% include "schedule/actions.html" %}
    </article>
</div>

<div class="row">
    <section class="span-8">
        {% if attendee %}
        <p>You are registered as attending {{ summit.title }}. <a href="{% url registration summit %}">Update registration</a>.
            </p>
            <p>Download your
                <a href="/{{ summit.name }}/participant/my_schedule_{{ attendee.secret_key }}.ical">Participation Schedule</a> to import into your Calendar.
            </p>
        {% else %}
            {% if summit.state == "setup" or summit.state == "archived" %}
            {% else %}
                {% if request.user.is_authenticated %}
                    <p><strong>You have not registered in Summit.</strong></p>
                {% else %}
                    <p><strong>Log in now to register:</strong></p>
                {% endif %}
                <p><a class="link-cta" href="{% url registration summit %}">Register in Summit</a></p>
            {% endif %}
        {% endif %}
    </section>
    <article class="span-4 last">
{% if summit.social_media %}
        <div class="share alone">
            <a href="http://www.reddit.com/submit" onclick="window.location = 'http://www.reddit.com/submit?url=' + encodeURIComponent(window.location); return false"> <img style="padding-bottom: 4px; border: 0;" src="http://www.reddit.com/static/spreddit7.gif" alt="submit to reddit" /></a><br />
            <div id="fb-root"></div>
            <script>(function(d, s, id) {
                var js, fjs = d.getElementsByTagName(s)[0];
                if (d.getElementById(id)) {return;}
                js = d.createElement(s); js.id = id;
                js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=310260202349342";
                fjs.parentNode.insertBefore(js, fjs);
            }(document, 'script', 'facebook-jssdk'));</script>
            <div class="fb-like" data-href="" data-send="false" data-layout="box_count" data-width="40" data-show-faces="false" data-font="arial"></div>
            <script type="text/javascript" src="https://apis.google.com/js/plusone.js"></script>
            <g:plusone size="tall"></g:plusone>
            <a href="http://twitter.com/share" class="twitter-share-button" data-count="vertical" data-lang="en">Tweet</a>
            <script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+"://platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
            <script src="http://www.stumbleupon.com/hostedbadge.php?s=5"></script>
        </div>
{% endif %}
    </article>
</div>

<div class="row">
 <div class="twelve-col">
  <h1>Schedule</h1>
 </div>
</div>
<div class="row">
 <div class="three-col box-grey box-highlight">
  <h4>By date:</h4>
  <ul class="list list-ubuntu">
   {% for date in summit.days %}
    <li><a href="/{{ summit.name }}/{{ date|strftime:"%Y-%m-%d" }}">{{ date|strftime:"%A" }}</a></li>
   {% endfor %}
  </ul>
 </div>
 <div class="five-col box-grey box-highlight">
  <h4>By {{ TRACK_DISPLAY_NAME }}:</h4>
  <ul class="list list-ubuntu">
   {% for track in tracks %}
    <li><a href="/{{ summit.name }}/track/{{ track.slug|lower }}">{{ track.title }}</a></li>
   {% endfor %}
  </ul>
 </div>
 <div class="three-col box-grey box-highlight">
  <h4>By room:</h4>
  <ul class="list list-ubuntu">
   {% for room in summit.public_rooms %}
     <li><a href="/{{ summit.name }}/{{ room.name }}">{{ room.title }}</a>{% if edit %} ({{ room.size }}){% endif %}</li>
   {% endfor %}
   {% if edit %}
    {% ifequal room.type 'plenary' %}
	 <li><a href="/{{ summit.name }}/{{ room.name }}">{{ room.title }}</a> (plenary)</li>
	{% endifequal %}
    {% if summit.private_rooms %}
     <br />
     Private:
     {% for room in summit.private_rooms %}
      <li><a href="/{{ summit.name }}/{{ room.name }}">{{ room.title }}</a> ({{ room.size }})</li>
     {% endfor %}
    {% endif %}
   {% endif %}
  </ul>
 </div>
 </div>

{% endblock %}
{% block closure %}
<style>
/* Mobile-friendly styles */
@media screen and (max-width: 960px) {
    .span-4, footer, #main-nav, footer .logo-ubuntu, .nav-secondary { display: none; }
    #page-header { text-align: center; }
    #page-header a { height: 24px; line-height: 1; float: none; display: inline; }
    .span-8, .span-9, .span-3, .span-12 { width: 100%; }
    #fb-root * { width: auto; }

    #sub-nav-container {
        margin-bottom: 0px;
    }
}
</style>
{% endblock %}
